gstreamermm: Gst::ColorBalance Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::ColorBalance Class Reference
gstreamermm Interfaces

An interface for adjusting color balance settings. More...

Inheritance diagram for Gst::ColorBalance:
[legend]
Collaboration diagram for Gst::ColorBalance:
[legend]

List of all members.

## Public Member Functions
virtual | ~ColorBalance ()
GstColorBalance* | gobj ()
| Provides access to the underlying C GObject.
const GstColorBalance* | gobj () const
| Provides access to the underlying C GObject.
Glib::ListHandle< Glib::RefPtr < ColorBalanceChannel > > | list_channels ()
| Retrieve a list of the available channels.
Glib::ListHandle< Glib::RefPtr < const ColorBalanceChannel > > | list_channels () const
| Retrieve a list of the available channels.
int | get_value (const Glib::RefPtr< const ColorBalanceChannel >& channel) const
| Retrieve the current value of the indicated channel, between min_value and max_value.
void | set_value (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| Sets the current value of the channel to the passed value, which must be between min_value and max_value.
void | value_changed (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| A helper function called by implementations of the GstColorBalance interface.
Gst::ColorBalanceType | get_balance_type () const
| Get the Gst::ColorBalanceType of this implementation.
Glib::SignalProxy2< void, const Glib::RefPtr < ColorBalanceChannel >&, int > | signal_value_changed ()
| Fired when the value of the indicated channel has changed.
virtual Glib::ListHandle < Glib::RefPtr < ColorBalanceChannel > > | list_channels_vfunc () const
| Lists the channels of the Gst::ColorBalance.
virtual void | set_value_vfunc (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| Sets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance.
virtual int | get_value_vfunc (const Glib::RefPtr< const ColorBalanceChannel >& channel) const
| Gets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Protected Member Functions
| ColorBalance ()
| You should derive from this class to use it.
virtual void | on_value_changed (const Glib::RefPtr< ColorBalanceChannel >& channel, int value)
| This is a default handler for the signal signal_value_changed().
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::ColorBalance > | wrap (GstColorBalance* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An interface for adjusting color balance settings.

## Constructor & Destructor Documentation

Gst::ColorBalance::ColorBalance | ( |  | ) | `[protected]`

You should derive from this class to use it.

virtual Gst::ColorBalance::~ColorBalance | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gst::ColorBalance::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Gst::ColorBalanceType Gst::ColorBalance::get_balance_type | ( |  | ) | const

Get the Gst::ColorBalanceType of this implementation.

Returns:
  A the Gst::ColorBalanceType.

int Gst::ColorBalance::get_value | ( | const Glib::RefPtr< const ColorBalanceChannel >& | channel | ) | const

Retrieve the current value of the indicated channel, between min_value and max_value.

See Also: The Gst::ColorBalanceChannel::min_value and Gst::ColorBalanceChannel::max_value members of the Gst::ColorBalanceChannel object.

Parameters:

  channel | A Gst::ColorBalanceChannel instance.

Returns:
  The current value of the channel.

virtual int Gst::ColorBalance::get_value_vfunc | ( | const Glib::RefPtr< const ColorBalanceChannel >& | channel | ) | const`[virtual]`

Gets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance.

GstColorBalance* Gst::ColorBalance::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gst::XvImageSink.

const GstColorBalance* Gst::ColorBalance::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gst::XvImageSink.

Glib::ListHandle< Glib::RefPtr<ColorBalanceChannel> > Gst::ColorBalance::list_channels | ( |  | ) |

Retrieve a list of the available channels.

Returns:
  A GList containing pointers to Gst::ColorBalanceChannel objects. The list is owned by the Gst::ColorBalance instance and must not be freed.

Glib::ListHandle< Glib::RefPtr<const ColorBalanceChannel> > Gst::ColorBalance::list_channels | ( |  | ) | const

Retrieve a list of the available channels.

Returns:
  A GList containing pointers to Gst::ColorBalanceChannel objects. The list is owned by the Gst::ColorBalance instance and must not be freed.

virtual Glib::ListHandle< Glib::RefPtr<ColorBalanceChannel> > Gst::ColorBalance::list_channels_vfunc | ( |  | ) | const`[virtual]`

Lists the channels of the Gst::ColorBalance.

virtual void Gst::ColorBalance::on_value_changed | ( | const Glib::RefPtr< ColorBalanceChannel >& | channel,
|  | int | value
| ) |  | `[protected, virtual]`

This is a default handler for the signal signal_value_changed().

void Gst::ColorBalance::set_value | ( | const Glib::RefPtr< ColorBalanceChannel >& | channel,
|  | int | value
| ) |  |

Sets the current value of the channel to the passed value, which must be between min_value and max_value.

See Also: The Gst::ColorBalanceChannel::min_value and Gst::ColorBalanceChannel::max_value members of the Gst::ColorBalanceChannel object.

Parameters:

  channel | A Gst::ColorBalanceChannel instance.
  value | The new value for the channel.

virtual void Gst::ColorBalance::set_value_vfunc | ( | const Glib::RefPtr< ColorBalanceChannel >& | channel,
|  | int | value
| ) |  | `[virtual]`

Sets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance.

Glib::SignalProxy2< void,const Glib::RefPtr<ColorBalanceChannel>&,int > Gst::ColorBalance::signal_value_changed | ( |  | ) |

Fired when the value of the indicated channel has changed.

Slot Prototype:
  `void on_my_value_changed(const Glib::RefPtr<ColorBalanceChannel>& channel, int value)`

void Gst::ColorBalance::value_changed | ( | const Glib::RefPtr< ColorBalanceChannel >& | channel,
|  | int | value
| ) |  |

A helper function called by implementations of the GstColorBalance interface.

It fires the Gst::ColorBalance::signal_value_changed() signal on the instance, and the Gst::ColorBalanceChannel::signal_value_changed() signal on the channel object.

Parameters:

  channel | A Gst::ColorBalanceChannel whose value has changed.
  value | The new value of the channel.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::ColorBalance > wrap | ( | GstColorBalance * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/colorbalance.h